Index: /extensions/whois_online/language/hu_HU/index.php
===================================================================
--- /extensions/whois_online/language/hu_HU/index.php	(revision 6194)
+++ /extensions/whois_online/language/hu_HU/index.php	(revision 6194)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/whois_online/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/whois_online/language/hu_HU/plugin.lang.php	(revision 6194)
+++ /extensions/whois_online/language/hu_HU/plugin.lang.php	(revision 6194)
@@ -0,0 +1,117 @@
+<?php
+$lang['Monitor'] = 'Monitor';
+$lang['Active capture'] = 'Rögzítés aktiválása';
+$lang['Delete level [10-200] (ratio between obsolete and active)'] = 
+	'Törlési szint [10-200] (elavult és aktív közötti arány)';
+$lang['Obsolete limit [20-100] (obsolete data count)'] = 
+	'Avulás szintje [20-100] (elavult adatok száma)';
+$lang['Add link to Plugins menu'] = 'Bővítmény név hozzáadása a Bővítmények menühöz';
+$lang['Keep data even if plugin is deactivated/uninstall'] = 
+	'Adatok megtartása akkor is, ha a bővítményt kikapcsolják/törlik';
+$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] = 
+	'Advanced users: template vars are available in all cases and might be included in your extensions';
+$lang['Default display'] = 'Alapértelmezett nézet';
+$lang['Total hits:'] = 'Összes találat:';
+//$lang['Image hits:'] = 'Image hits:';
+//$lang['other hits:'] = 'other hits:';
+$lang['Your recently viewed pictures'] = 'A közelmúltban megtekintett képek';
+$lang['Most recent 10 minutes hits:'] = 'Találat az utolsó 10 percben:';
+$lang['Some of recently viewed pictures by other users'] = 
+	'Más felhasználók által a közelmúltban megtekintett képek';
+$lang['Current hour hits:'] = 'Találat ebben az órában:';
+$lang['Yesterday hits:'] = 'Találatok tegnap:';
+$lang['Last 24h users:'] = 'Látogatók az utolsó 24 órában:';
+$lang['Last hour online users:'] = 'Látogatók ebben az órában:';
+$lang['Recent guest(s):'] = 'Jelenlévő látogató(k):';
+$lang['Recent member(s):'] = 'Jelenlévő tag(ok):';
+$lang['Permanence/Durability of user monitoring'] = 'Állandó/alkalmi felhasználók nyomon követése';
+//$lang['Next version enhancements: Set/Unset of permanence, Cleaning, and detail reporting'] = 
+//	'Next version enhancements: Set/Unset of permanence, Cleaning, and detail reporting';
+$lang['Whois_review'] = 'Saját megtekintések a közelmúltban';
+$lang['Whois_others'] = 'Mások által a közelmúltban megtekintett'; /* or you a long time ago */
+$lang['Add icon to History'] = 'Ikon hozzáadása a Statisztikák menüponthoz';
+
+// Added 2.0.e
+$lang['Radar limit'] = 'Radar limit';
+$lang['Users with image cluetips [10-200]'] = 'Users with image cluetips [10-200]';
+$lang['Default %s'] = 'Alapértelmezett %s';
+$lang['Default as anybody'] = 'Alapértelmezett: bárki';
+$lang['Webmasters management:'] = 'Webmesterek kezelése:';
+$lang['Exclude'] = 'Kizárva';
+$lang['Hidden'] = 'Rejtett';
+$lang['As anybody'] = 'Mint bárki';
+$lang['Administrators management:'] = 'Adminisztrátorok kezelése:';
+$lang['Your `%s` table summary'] = 'Your `%s` table summary';
+$lang['Compress it!'] = 'Tömörítsen!';
+$lang[' => Delete old guests access (over 3 days), and optimize table and index.'] = 
+	' => Törli a régi vendég látogatásokat (3 napnál régebbi), valamint optimalizálja és indexeli a táblákat.';
+$lang['Space used: %s'] = 'Space used: %s';
+$lang['Unused allocated space: <strong>%s</strong>'] = 'Unused allocated space: <strong>%s</strong>';
+$lang['Traced sessions: %s'] = 'Traced sessions: %s';
+$lang['Altered/created since: %s'] = 'Altered/created since: %s';
+$lang['Clearing'] = 'Tisztítás';
+$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 
+	'Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.';
+$lang['Delete'] = 'Törlés';
+$lang['Members summary'] = 'Tagok összefoglalója';
+$lang['Registration counter: %s'] = 'Regisztrált felhasználók száma: %s';
+$lang['Most members ever online was %s on %s'] = 'A legtöbb bejelentkezett tag %s fő volt, ekkor: %s';
+$lang['Y-m-d H:i'] = 'Y. m. d. H:i';
+$lang['Available filters'] = 'Szűrési lehetőségek';
+$lang['Monitored members'] = 'Azonosított tagok';
+$lang['Captured guests'] = 'Elfogott vendégek';
+$lang['Last 24h accesses'] = 'Megtekintések az utolsó 24 órában';
+$lang['More than 24h accesses'] = '24 órán túli megtekintések';
+$lang['Pictures accesses'] = 'Megtekintett képek';
+$lang['No picture accesses'] = 'Kép megtekintés nélkül';
+$lang['Unidentifed countries'] = 'Azonosíthatatlan országok';
+$lang['Only one day accesses'] = 'Csak egy nap';
+$lang['Several days accesses or over midnight'] = 'Several days accesses or over midnight';
+$lang['Several identified IPs (Only the first one is kept)'] = 'Several identified IPs (Only the first one is kept)';
+$lang['User access details'] = 'User access details';
+$lang['No data available'] = 'Nincs adat';
+$lang['users'] = 'Felhasználók';
+$lang['First access'] = 'Első látogatás';
+$lang['Level'] = 'Szint';
+$lang['Images (Modify)'] = 'Kép (Modify)';
+$lang['Last access'] = 'Utolsó látogatás';
+$lang['User:'] = 'Felhasználó:';
+$lang['(Multiple IP)'] = '(Több IP)';
+$lang['Registered since'] = 'Regisztrált: ';
+$lang['Hits since'] = 'Hits since';
+$lang['on pictures'] = 'képek';
+$lang['on pages'] = 'oldalak';
+$lang['Level %d'] = 'Szint %d';
+$lang['Image privacy level is higher than the user privacy level (Any change of one of them?)'] = 
+	'Image privacy level is higher than the user privacy level (Any change of one of them?)';
+$lang[' - Over the radar limit => No level control'] = ' - Over the radar limit => No level control';
+$lang['Previous connection dates'] = 'Előző bejelentkezések időpontja';
+$lang[': provides newcomers\' localization and possibly new country flags, thanks to them.'] = 
+	': provides newcomers\' localization and possibly new country flags, thanks to them.';
+$lang[': provides IP geolocalization on request (link on flag). Useful for unknown countries.'] =
+	': provides IP geolocalization on request (link on flag). Useful for unknown countries.';
+$lang['Report'] = 'Részletes jelentés';
+$lang['Error range: '] = 'Error range: ';
+$lang['Radar_limit [10-200] (Users with image cluetips on radar page)'] = 
+	'Radar_limit [10-200] (Users with image cluetips on radar page)';
+$lang['User follow up error'] = 'User follow up error';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 
+	'You are Adviser and you are not authorized to change this configuration.';
+$lang['Configuration has been saved.'] = 'Beállítások mentve.';
+$lang['Permanent users (3 months min)'] = 'Állandó felhasználók (minimum 3 hónap)';
+$lang['Temporary users (around 72 hours)'] = 'Alkalmi felhasználók (kb. 72 óra)';
+$lang['Unknown country'] = 'Ismeretlen ország';
+$lang['Deleted language'] = 'Deleted language';
+$lang['Recents (less 24h)'] = 'Újak (max. 24h)';
+$lang['More than 24h'] = 'Több mint 24h';
+$lang['On pictures'] = 'Képek';
+$lang['Categories only'] = 'Csak kategóriák';
+$lang['No country'] = 'Nincs ország';
+$lang['One day'] = 'Egy nap';
+$lang['Several days'] = 'Néhány nap';
+$lang['Several IPs'] = 'Néhány IP';
+$lang['http:geoiptool'] = 'http://www.geoiptool.com/en/?IP=';
+$lang[':geoiptool:title']= 'IP cím és földrajzi hely információk';
+$lang['http:hostip'] = 'http://www.hostip.info';
+$lang[':hostip:title'] = 'Közösségi IP cím és földrajzi hely projekt - az Ip címekhez tartozó ország, város, valamint hely a térképen';
+?>