Index: /extensions/whois_online/config.php
===================================================================
--- /extensions/whois_online/config.php	(revision 6200)
+++ /extensions/whois_online/config.php	(revision 6201)
@@ -235,5 +235,5 @@
 		'Administrators' => $conf_whois['Administrators'],
 		'Plugins_menu' => ($conf_whois['Add to Plugins menu']) ? 1 : 0,
-		'History_icon' => ($conf_whois['Add icon to History']) ? 1 : 0,
+		'History_icon' => ($conf_whois['Add icon to History'] or !$conf_whois['Add to Plugins menu']) ? 1 : 0,
 		'Keep_data' => ($conf_whois['Keep data']) ? 1 : 0,
 		'Display' => ($conf_whois['Default display']) ? 1 : 0,
Index: /extensions/whois_online/default.tpl
===================================================================
--- /extensions/whois_online/default.tpl	(revision 6200)
+++ /extensions/whois_online/default.tpl	(revision 6201)
@@ -1,3 +1,3 @@
-<div class="Online" style="float:right;text-align:center;margin-right:25px; margin-bottom:35px;">
+<div class="Online" style="float:right;text-align:center;margin-right:25px; margin-bottom:60px;">
 {if $Whois.Total > 0 and !$Whois.Slideshow}
 	{'Total hits:'|@translate} {if (is_admin())}<a href="./admin.php?page=plugin&amp;section=whois_online%2Fconfig.php&amp;tab=report" class="other">{$Whois.Total}</a>{else}{$Whois.Total}{/if}
Index: /extensions/whois_online/include/wo_admin_functions.inc.php
===================================================================
--- /extensions/whois_online/include/wo_admin_functions.inc.php	(revision 6200)
+++ /extensions/whois_online/include/wo_admin_functions.inc.php	(revision 6201)
@@ -86,4 +86,13 @@
 }
 
+
+// Select the correct menu on loc_end_admin
+function whois_select_menu($menu) {
+	global $conf_whois, $template;
+	if ($conf_whois['Add icon to History'] or !$conf_whois['Add to Plugins menu']) 
+		$template->assign('ACTIVE_MENU', 4);
+	else $template->assign('ACTIVE_MENU', 3);
+}
+
 // Template function
 function Whois_most($text, $count, $when, $format) {
Index: /extensions/whois_online/include/wo_functions.inc.php
===================================================================
--- /extensions/whois_online/include/wo_functions.inc.php	(revision 6200)
+++ /extensions/whois_online/include/wo_functions.inc.php	(revision 6201)
@@ -157,4 +157,5 @@
 function whois_add_icon($menu) {
 	global $conf_whois, $lang;
+	add_event_handler('loc_end_admin', 'whois_select_menu' );
 	if ($conf_whois['Add icon to History'])
 		$lang['History'] .= '</a> <a class="external" href="' . get_admin_plugin_menu_link(WHOIS_ONLINE_PATH.'config.php') . '">
Index: /extensions/whois_online/online.css
===================================================================
--- /extensions/whois_online/online.css	(revision 6200)
+++ /extensions/whois_online/online.css	(revision 6201)
@@ -19,2 +19,5 @@
 a.ws1:hover { color: #f33; background-color: #f33; border-bottom: 1px solid #ff3363;}
 a.ws { color: #111; background-color: #f33 !important; }
+#theAdminPage #content { margin-top:15px; min-height:370px; }
+.cluetip-default #cluetip-outer { border-radius: 16px; -moz-border-radius: 16px; -khtml-border-radius: 16px; -webkit-border-radius: 16px; }
+.cluetip-default h3#cluetip-title { border-radius: 16px 16px 0 0; -moz-border-radius: 16px 16px 0 0; -khtml-border-radius: 16px 16px 0 0; -webkit-border-radius: 16px 16px 0 0; }
Index: /extensions/whois_online/online.php
===================================================================
--- /extensions/whois_online/online.php	(revision 6200)
+++ /extensions/whois_online/online.php	(revision 6201)
@@ -16,5 +16,6 @@
 	add_event_handler('loc_begin_index', 'whois_online_management');
 	add_event_handler('register_user', 'whois_online_register');
-	if ($conf_whois['Default display'] or (defined('IN_ADMIN') and IN_ADMIN)) add_event_handler('loc_begin_page_tail', 'whois_default_display' );
+	if ($conf_whois['Default display'] or (defined('IN_ADMIN') and IN_ADMIN))  
+		add_event_handler('loc_begin_page_tail', 'whois_default_display' );
 }
 
Index: /extensions/whois_online/report.tpl
===================================================================
--- /extensions/whois_online/report.tpl	(revision 6200)
+++ /extensions/whois_online/report.tpl	(revision 6201)
@@ -24,5 +24,5 @@
 				<tr><td class=&#34;right&#34;><b><i>User_id</i></b></td><td>{$detail.user_id}</td>
 				<td class=&#34;right&#34;><b><i>{'Status'|@translate}</i></b></td><td>{$detail.user.status|@translate|ucfirst} ({$detail.user.status})</td></tr>
-				<tr><td class=&#34;right&#34;><b><i>{'language'|@translate}</i></b></td><td>{$detail.Language}</td></tr>
+			  {*<tr><td class=&#34;right&#34;><b><i>{'language'|@translate}</i></b></td><td>{$detail.Language}</td></tr>*}
 				<tr><td class=&#34;right&#34; colspan=&#34;2&#34;>{$detail.Country.Name}</td><td colspan=&#34;2&#34;> / {$detail.Country.City}</td></tr>
 				<tr><td colspan=&#34;4&#34;>&nbsp;</td></tr>
@@ -98,5 +98,6 @@
   jQuery('.cluetip').cluetip({
     width: 300,
-    splitTitle: '|'
+    splitTitle: '|',
+	clickThrough: true
   });
 });