Index: /extensions/ColorStat/admin/cstat_config.tpl
===================================================================
--- /extensions/ColorStat/admin/cstat_config.tpl	(revision 6209)
+++ /extensions/ColorStat/admin/cstat_config.tpl	(revision 6210)
@@ -45,5 +45,4 @@
         break;
     }
-
   }
 
@@ -53,5 +52,5 @@
     $("#icstat_stat_minPct_slider").slider(
       {
-        min:0.5,
+        min:0.25,
         max:60,
         step:0.25,
@@ -60,5 +59,25 @@
       });
     $("#icstat_stat_minPct_slider a").addClass('gcBgInput');
+
+    formatPx({/literal}{$datas.colorSize}{literal});
+    $("#icstat_display_colorSize_slider").slider(
+      {
+        min:5,
+        max:25,
+        step:1,
+        value:{/literal}{$datas.colorSize}{literal},
+        slide: function(event, ui) { formatPx(ui.value); }
+      });
+    $("#icstat_display_colorSize_slider a").addClass('gcBgInput');
+
+    showColors();
+    qi.calculateTimes();
     displayConfig('database');
+  }
+
+  function formatPx(px)
+  {
+    $("#icstat_display_colorSize").val(px);
+    $("#icstat_display_colorSize_display").html(px+"px");
   }
 
@@ -68,4 +87,119 @@
     $("#icstat_stat_minPct_display").html(pct.toFixed(2)+"%");
   }
+
+  function showColors()
+  {
+    if($('#idisplay_gallery_showColorsCBox').get(0).checked)
+    {
+      $('#idisplay_gallery_showColors').val('y');
+      $('#icstat_display_colorSize_area').css('display', 'block');
+    }
+    else
+    {
+      $('#idisplay_gallery_showColors').val('n');
+      $('#icstat_display_colorSize_area').css('display', 'none');
+    }
+  }
+
+
+  qualityInterface = function(optionsToSet)
+  {
+    var qualityValues = [{/literal}{$datas.qualityHighest}, {$datas.qualityHigh}, {$datas.qualityNormal}, {$datas.qualityLow}, {$datas.qualityLowest}{literal}];
+    var qualityKeys   = ['highest', 'hight', 'normal', 'low', 'lowest'];
+
+    var options = jQuery.extend(
+      {
+        pps:0,
+      },
+      optionsToSet);
+
+
+    this.calculateTimes = function ()
+    {
+      _calculateTimes();
+    }
+
+    var _calculateTimes = function ()
+    {
+      values=new Array();
+
+      for(i=0;i<qualityValues.length;i++)
+      {
+        if(options.pps==0)
+        {
+          values[i]=Array('-', '-');
+        }
+        else
+        {
+          values[i]=Array(
+            (qualityValues[i]/options.pps).toFixed(2)+'s',
+            formatTime({/literal}{$datas.nbPictures}{literal}*qualityValues[i]/options.pps)
+          );
+        }
+      }
+
+      $('#iEstimatedHighest').html(values[0][0]);
+      $('#iEstimatedHighestAll').html(values[0][1]);
+
+      $('#iEstimatedHigh').html(values[1][0]);
+      $('#iEstimatedHighAll').html(values[1][1]);
+
+      $('#iEstimatedNormal').html(values[2][0]);
+      $('#iEstimatedNormalAll').html(values[2][1]);
+
+      $('#iEstimatedLow').html(values[3][0]);
+      $('#iEstimatedLowAll').html(values[3][1]);
+
+      $('#iEstimatedLowest').html(values[4][0]);
+      $('#iEstimatedLowestAll').html(values[4][1]);
+    }
+
+
+
+    this.doRequest = function ()
+    {
+      displayBench(true);
+      $.ajax(
+        {
+          type: "POST",
+          url: "{/literal}{$datas.urlRequest}{literal}",
+          async: true,
+          data: { ajaxfct:"doPpsBench", quality:2 },
+          success: function(msg)
+            {
+              options.pps=msg;
+              _calculateTimes();
+              displayBench(false);
+            },
+         }
+      );
+    }
+
+    var formatTime = function (eTime)
+    {
+      var seconds=(eTime%60).toFixed(2);
+      var minutes=((eTime-seconds)/60).toFixed(0);
+      var returned=seconds+"s";
+      if(minutes>0) returned=minutes+"m"+returned;
+      return(returned);
+    }
+
+    var displayBench = function (processing)
+    {
+      if(processing)
+      {
+        $('#iBenchBtn').css('display', 'none');
+        $('#iBenchWait').css('display', 'block');
+      }
+      else
+      {
+        $('#iBenchBtn').css('display', 'block');
+        $('#iBenchWait').css('display', 'none');
+      }
+    }
+  }
+
+  var qi=new qualityInterface({pps:{/literal}{$datas.pps}{literal}});
+
 </script>
 {/literal}
@@ -79,9 +213,92 @@
   <div id='iDisplayConfigDatabase' style='display:none;'>
 
+    <fieldset>
+      <legend>{'cstat_bench'|@translate}</legend>
+      <div>{'cstat_do_benchmark'|@translate}</div>
+      <br>
+      <div id='iBenchBtn'>
+        <input type="button" onclick="qi.doRequest();" value="{'cstat_do_bench'|@translate}">
+      </div>
+      <div id='iBenchWait' style='display:none;text-align:center;'>
+        <img src='./plugins/GrumPluginClasses/icons/processing.gif'>
+      </div>
+    </fieldset>
+
+    <fieldset>
+      <legend>{'cstat_quality_of_analyze'|@translate}</legend>
+
+      <table class="formtable table2">
+        <tr class='throw'>
+          <td>{'cstat_quality_level'|@translate}</td>
+          <td>{'cstat_estimated_time_one_picture'|@translate}</td>
+          <td>{'cstat_estimated_time_all_pictures'|@translate}</td>
+        </tr>
+        <tr>
+          <td>
+            <label><input type="radio" name="f_analyze_ppsQuality" value="{$datas.qualityHighest}" {if $datas.quality==$datas.qualityHighest}checked{/if}>&nbsp;{'cstat_quality_highest'|@translate}</label>
+          </td>
+          <td class='estimatedTime'>
+            <span id='iEstimatedHighest'>-</span>
+          </td>
+          <td class='estimatedTime'>
+            <span id='iEstimatedHighestAll'>-</span>
+          </td>
+        </tr>
+        <tr>
+          <td>
+            <label><input type="radio" name="f_analyze_ppsQuality" value="{$datas.qualityHigh}" {if $datas.quality==$datas.qualityHigh}checked{/if}>&nbsp;{'cstat_quality_high'|@translate}</label>
+          </td>
+          <td class='estimatedTime'>
+            <span id='iEstimatedHigh'>-</span>
+          </td>
+          <td class='estimatedTime'>
+            <span id='iEstimatedHighAll'>-</span>
+          </td>
+        </tr>
+        <tr>
+          <td>
+            <label><input type="radio" name="f_analyze_ppsQuality" value="{$datas.qualityNormal}" {if $datas.quality==$datas.qualityNormal}checked{/if}>&nbsp;{'cstat_quality_normal'|@translate}</label>
+          </td>
+          <td class='estimatedTime'>
+            <span id='iEstimatedNormal'>-</span>
+          </td>
+          <td class='estimatedTime'>
+            <span id='iEstimatedNormalAll'>-</span>
+          </td>
+        </tr>
+        <tr>
+          <td>
+            <label><input type="radio" name="f_analyze_ppsQuality" value="{$datas.qualityLow}" {if $datas.quality==$datas.qualityLow}checked{/if}>&nbsp;{'cstat_quality_low'|@translate}</label>
+          </td>
+          <td class='estimatedTime'>
+            <span id='iEstimatedLow'>-</span>
+          </td>
+          <td class='estimatedTime'>
+            <span id='iEstimatedLowAll'>-</span>
+          </td>
+        </tr>
+        <tr>
+          <td>
+            <label><input type="radio" name="f_analyze_ppsQuality" value="{$datas.qualityLowest}" {if $datas.quality==$datas.qualityLowest}checked{/if}>&nbsp;{'cstat_quality_lowest'|@translate}</label>
+          </td>
+          <td class='estimatedTime'>
+            <span id='iEstimatedLowest'>-</span>
+          </td>
+          <td class='estimatedTime'>
+            <span id='iEstimatedLowestAll'>-</span>
+          </td>
+        </tr>
+      </table>
+
+
+
+
+
+    </fieldset>
   </div>
 
   <div id='iDisplayConfigStatSearch'  style='display:none;'>
     <fieldset>
-      <legend>{'cstat_stat_and_search'|@translate}</legend>
+      <legend>{'cstat_significant_colors'|@translate}</legend>
 
       <table class="formtable">
@@ -104,12 +321,30 @@
   <div id='iDisplayConfigDisplay'  style='display:none;'>
     <fieldset>
-      <legend>{'cstat_gallery_integration'|@translate}</legend>
+      <legend>{'cstat_gallery_display_colors'|@translate}</legend>
 
       <label>
-        <input type="checkbox" id='idisplay_gallery_showColorsCBox' onclick="$('#idisplay_gallery_showColors').val(($('#idisplay_gallery_showColorsCBox').get(0).checked=='on')?'y':'n');"  {if $datas.showColors=='y'}checked{/if} >
+        <input type="checkbox" id='idisplay_gallery_showColorsCBox' onclick="showColors();" {if $datas.showColors=='y'}checked{/if} >
         {'cstat_display_colors_on_image'|@translate}
         <input type="hidden" id='idisplay_gallery_showColors' name='f_display_gallery_showColors' value='{$datas.showColors}'>
       </label>
 
+      <div id='icstat_display_colorSize_area'>
+        <br>
+        <table class="formtable">
+          <tr>
+            <td colspan="2">{'cstat_color_size'|@translate}</td>
+          </tr>
+          <tr>
+            <td>
+              <input type="hidden" name="f_display_gallery_colorSize" id="icstat_display_colorSize" value="{$datas.colorSize}">
+              <div id="icstat_display_colorSize_slider" class="gcBgInput gcBorderInput"></div>
+            </td>
+            <td width="90px">
+              <div id="icstat_display_colorSize_display"></div>
+            </td>
+          </tr>
+        </table>
+      </div>
+
     </fieldset>
   </div>
Index: /extensions/ColorStat/admin/cstat_database.tpl
===================================================================
--- /extensions/ColorStat/admin/cstat_database.tpl	(revision 6209)
+++ /extensions/ColorStat/admin/cstat_database.tpl	(revision 6210)
@@ -119,5 +119,5 @@
     if(processAnalyze.step < processAnalyze.lists.length)
     {
-      tmp = $.ajax(
+      $.ajax(
       {
         type: "POST",
Index: /extensions/ColorStat/cstat.css
===================================================================
--- /extensions/ColorStat/cstat.css	(revision 6209)
+++ /extensions/ColorStat/cstat.css	(revision 6210)
@@ -44,2 +44,3 @@
 .color0px { border-spacing:0px; }
 
+.estimatedTime { text-align:right; }
Index: /extensions/ColorStat/cstat_aip.class.inc.php
===================================================================
--- /extensions/ColorStat/cstat_aip.class.inc.php	(revision 6209)
+++ /extensions/ColorStat/cstat_aip.class.inc.php	(revision 6210)
@@ -138,4 +138,7 @@
           $result=$this->ajax_cstat_showStatsGetListColors($_REQUEST['orderType']);
           break;
+        case 'doPpsBench':
+          $result=$this->ajax_cstat_ppsBench($_REQUEST['quality'], true);
+          break;
       }
       GPCAjax::returnResult($result);
@@ -188,6 +191,11 @@
       }
 
-    }
-
+
+      if($_REQUEST['ajaxfct']=='doPpsBench')
+      {
+        if(!isset($_REQUEST['quality'])) $_REQUEST['quality']=8;
+        if($_REQUEST['quality']>50 or $_REQUEST['quality']<1) $_REQUEST['quality']=8;
+      }
+    }
 
   }
@@ -309,7 +317,29 @@
                 dirname($this->getFileLocation()).'/admin/cstat_config.tpl');
 
+    $nbPictures=0;
+    $sql="SELECT COUNT(image_id) FROM ".$this->tables['images'];
+    $result=pwg_query($sql);
+    if($result)
+    {
+      while($row=pwg_db_fetch_row($result))
+      {
+        $nbPictures=$row[0];
+      }
+    }
+
+
     $datas=Array(
+      'nbPictures' => $nbPictures,
+      'pps' => $this->config['analyze_pps'],
+      'quality' => $this->config['analyze_ppsQuality'],
+      'qualityHighest' => 14000,
+      'qualityHigh' => 7500,
+      'qualityNormal' => 3500,
+      'qualityLow' => 1200,
+      'qualityLowest' => 600,
+      'urlRequest' => $this->getAdminLink(),
       'minPct' => $this->config['stat_minPct'],
-      'showColors' => $this->config['display_gallery_showColors']
+      'showColors' => $this->config['display_gallery_showColors'],
+      'colorSize' => $this->config['display_gallery_colorSize'],
     );
 
@@ -349,8 +379,7 @@
       $colorTable,
       Array(
-        'quality' => 8,
-        'numColors' => 16,
-        'maxTime' => $this->config['analyze_maxTime'],
-        'pps' => $this->config['analyze_pps'],
+        'mode' => 'numAnalyzed',
+        'numColors' => 24,
+        'numAnalyzed' => $this->config['analyze_ppsQuality'],
       )
     );
Index: /extensions/ColorStat/cstat_colorstat.class.inc.php
===================================================================
--- /extensions/ColorStat/cstat_colorstat.class.inc.php	(revision 6209)
+++ /extensions/ColorStat/cstat_colorstat.class.inc.php	(revision 6210)
@@ -356,5 +356,9 @@
         $imageHeight=imagesy($image);
 
-        if($options['pps']>0 && $options['maxTime']>0)
+        if($options['mode']=='numAnalyzed')
+        {
+          $quality=round(sqrt($imageWidth*$imageHeight/$options['numAnalyzed']), 0);
+        }
+        elseif($options['mode']=='maxTime')
         {
           $quality=round(sqrt($imageWidth*$imageHeight/($options['pps']*$options['maxTime'])), 0);
@@ -679,13 +683,20 @@
 
     if(!array_key_exists('quality', $options)) $options['quality']=1;
-    if(!array_key_exists('maxTime', $options)) $options['maxTime']=0;
-    if(!array_key_exists('pps', $options)) $options['pps']=0;
+    if(!array_key_exists('maxTime', $options)) $options['maxTime']=0.5;
+    if(!array_key_exists('pps', $options)) $options['pps']=1;
+    if(!array_key_exists('numAnalyzed', $options)) $options['numAnalyzed']=600;
     if(!array_key_exists('numColors', $options)) $options['numColors']=0;
+    if(!array_key_exists('mode', $options)) $options['mode']='quality';
 
     if($options['quality']<=0) $options['quality']=1;
     if($options['quality']>20) $options['quality']=20;
-    if($options['maxTime']<0) $options['maxTime']=0;
-    if($options['pps']<0) $options['pps']=0;
-    if($options['numColors']<0) $options['numColors']=0;
+    if($options['maxTime']<0) $options['maxTime']=0.5;
+    if($options['pps']<0) $options['pps']=1;
+    if($options['numAnalyzed']<0) $options['numAnalyzed']=600;
+    if($options['numColors']<0) $options['numColors']=16;
+
+    if($options['mode']!='quality' and
+       $options['mode']!='numAnalyzed' and
+       $options['mode']!='maxTime') $options['mode']='quality';
 
     return($options);
Index: /extensions/ColorStat/cstat_rb_callback.class.inc.php
===================================================================
--- /extensions/ColorStat/cstat_rb_callback.class.inc.php	(revision 6209)
+++ /extensions/ColorStat/cstat_rb_callback.class.inc.php	(revision 6210)
@@ -152,5 +152,5 @@
       'id' => $id,
       'class' => $class,
-      'br' => ' / ',
+      'br' => '<br>',
     );
 
Index: /extensions/ColorStat/cstat_root.class.inc.php
===================================================================
--- /extensions/ColorStat/cstat_root.class.inc.php	(revision 6209)
+++ /extensions/ColorStat/cstat_root.class.inc.php	(revision 6210)
@@ -74,6 +74,8 @@
         'analyze_colorTable' => 'small',
         'analyze_pps' => 0,
+        'analyze_ppsQuality' => 7500,
         'analyze_itemPerRequest' => 10,
         'display_gallery_showColors' => 'n',
+        'display_gallery_colorSize' => 15,
         'display_stat_orderType' => 'img',
         'stat_minPct' => 1.5,
@@ -85,4 +87,29 @@
     --------------------------------------------------------------------------- */
 
+    /**
+     * this function return the number of pixels analyzed per second for an image
+     *
+     * @param Integer $quality : quality used to analyze the performance
+     *                           a quality of 1 is the best quality (process is
+     *                           longuer so, analyze is better)
+     * @param Boolean $update  : if yes, update the config with the current pps
+     * @return Integer : pps
+     */
+    protected function ajax_cstat_ppsBench($quality, $update)
+    {
+      ColorStat::getFileColors(
+        dirname($this->getFileLocation()).'/image/sample1.png',
+        ColorStat::getColorTable(CStat_root::$colorTableSize['small'][0],CStat_root::$colorTableSize['small'][1]),
+        Array('quality' => $quality, 'numColors' => 16)
+      );
+
+      if($update)
+      {
+        $this->config['analyze_pps']=ColorStat::$fileColorsStat['pps'];
+        $this->saveConfig();
+      }
+
+      return(ColorStat::$fileColorsStat['pps']);
+    }
 
   } //class
Index: /extensions/ColorStat/cstat_version.inc.php
===================================================================
--- /extensions/ColorStat/cstat_version.inc.php	(revision 6209)
+++ /extensions/ColorStat/cstat_version.inc.php	(revision 6210)
@@ -15,5 +15,5 @@
   if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-  define('CSTAT_VERSION',  '0.1.0');
-  define('CSTAT_VERSION2', '00.01.00');
+  define('CSTAT_VERSION',  '1.0.0');
+  define('CSTAT_VERSION2', '01.00.00');
 ?>
Index: /extensions/ColorStat/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/ColorStat/language/en_UK/plugin.lang.php	(revision 6209)
+++ /extensions/ColorStat/language/en_UK/plugin.lang.php	(revision 6210)
@@ -66,21 +66,45 @@
 
 
+
 $lang['cstat_search']='Search';
 $lang['cstat_search_by_color']='Search by color';
-$lang['cstat_choose_colors']='Sélection de couleurs';
-$lang['cstat_choosen_colors']='Couleurs sélectionnées';
-$lang['cstat_operator_and']="Toutes les couleurs sélectionnées doivent être présentes dans l'image";
-$lang['cstat_operator_or']="Au moins une des couleurs sélectionnées doit être présente dans l'image";
-$lang['cstat_operator_not']="Aucune des couleurs sélectionnées ne doit être présente dans l'image'";
-$lang['cstat_color_already_choosen']='La couleur est déjà sélectionnée dans la liste';
-$lang['cstat_add_colors']='Ajouter une sélection de couleurs';
-$lang['cstat_clear_colors']='Réinitialiser les critères';
-$lang['cstat_do_modify_request']='Modifier la recherche';
-$lang['cstat_search_criterion'] = 'Critères de recherche';
+$lang['cstat_choose_colors']='Panel of colors';
+$lang['cstat_choosen_colors']='Selected colors';
+$lang['cstat_operator_and']="All selected colors must be present in the pictures";
+$lang['cstat_operator_or']="At least one selected colors must be present in the pictures";
+$lang['cstat_operator_not']="None of the selected colors should be present in the image";
+$lang['cstat_color_already_choosen']='The color is already selected in the list';
+$lang['cstat_add_colors']='Add a selection of colors';
 
 
 $lang['cstat_config']='Configuration';
+$lang['cstat_gallery_integration']='Gallery integration';
+$lang['cstat_apply']='Apply';
+$lang['cstat_stat_and_search']='Statistics & Research';
+$lang['cstat_save_config']='Configuration is saved';
+$lang['cstat_display_colors_on_image']='View colors associated with the image';
+$lang['cstat_percent_min_significant']='Minimum presence in an image to consider a color is relevant in a search:';
+$lang['cstat_config_plugin']='Configuring the plugin';
+$lang['cstat_gallery_display_colors'] = 'Display colors of image';
+$lang['cstat_color_size'] = 'Dimensions';
+$lang['cstat_significant_colors'] = 'Relevance colors';
+$lang['cstat_bench'] = 'Measuring performance';
+$lang['cstat_do_bench'] = 'Measure';
+$lang['cstat_do_benchmark'] = "Depending on server performance, analysis of images of the gallery can be more or less long. <br>
+It is possible to adjust the plugin to emphasize the speed of analysis at the expense of quality, or conversely, focusing on the quality of analysis at the expense of speed. <br>
 
-$lang['cstat_config_plugin']='Configuring the plugin';
+The measure reflects performance computing capabilities at a given time, which may vary depending on server load: the estimated time of treatment is indicative only and vary slightly depending on available resources.
+";
+$lang['cstat_quality_of_analyze'] = 'Quality analysis';
+$lang['cstat_quality_level']='Quality';
+$lang['cstat_estimated_time_one_picture']='Estimated time for an image';
+$lang['cstat_estimated_time_all_pictures']='Estimated time for all images';
+$lang['cstat_quality_highest']='Very high';
+$lang['cstat_quality_high']='High';
+$lang['cstat_quality_normal']='Normal';
+$lang['cstat_quality_low']='Low';
+$lang['cstat_quality_lowest']='Very low';
+
+$lang['cstat_colors_on_image']='Colors associated with the image';
 
 ?>
Index: /extensions/ColorStat/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/ColorStat/language/fr_FR/plugin.lang.php	(revision 6209)
+++ /extensions/ColorStat/language/fr_FR/plugin.lang.php	(revision 6210)
@@ -76,5 +76,5 @@
 $lang['cstat_operator_and']="Toutes les couleurs sélectionnées doivent être présentes dans l'image";
 $lang['cstat_operator_or']="Au moins une des couleurs sélectionnées doit être présente dans l'image";
-$lang['cstat_operator_not']="Aucune des couleurs sélectionnées ne doit être présente dans l'image'";
+$lang['cstat_operator_not']="Aucune des couleurs sélectionnées ne doit être présente dans l'image";
 $lang['cstat_color_already_choosen']='La couleur est déjà sélectionnée dans la liste';
 $lang['cstat_add_colors']='Ajouter une sélection de couleurs';
@@ -88,6 +88,24 @@
 $lang['cstat_display_colors_on_image']='Afficher les couleurs associées à l\'image';
 $lang['cstat_percent_min_significant']='Présence minimum au sein d\'une image pour qu\'une couleur soit considérée comme pertinente lors d\'une recherche :';
+$lang['cstat_config_plugin']='Configuration du plugin';
+$lang['cstat_gallery_display_colors'] = 'Affichage des couleurs de l\'image';
+$lang['cstat_color_size'] = 'Dimensions';
+$lang['cstat_significant_colors'] = 'Pertinence des couleurs';
+$lang['cstat_bench'] = 'Mesure des performances';
+$lang['cstat_do_bench'] = 'Mesurer';
+$lang['cstat_do_benchmark'] = "En fonction des performances du serveur, l'analyse des images de la galerie peut être plus ou moins longue.<br>
+Il est possible de régler le plugin afin de privilégier la rapidité de l'analyse au détriment de la qualité, ou inversement, privilégier la qualité de l'analyse au détriment de la rapidité.<br><br>
 
-$lang['cstat_config_plugin']='Configuration du plugin';
+La mesure des performances reflète les capacités de calcul à un instant donné, lesquelles peuvent varier en fonction de la charge du serveur : le temps estimé des traitements n'est donné qu'à titre indicatif et peu donc varier en fonction des ressources disponibles.
+";
+$lang['cstat_quality_of_analyze'] = 'Qualité de l\'analyse';
+$lang['cstat_quality_level']='Qualité';
+$lang['cstat_estimated_time_one_picture']='Temps estimé pour une image';
+$lang['cstat_estimated_time_all_pictures']='Temps estimé pour toutes les images';
+$lang['cstat_quality_highest']='Très haute';
+$lang['cstat_quality_high']='Haute';
+$lang['cstat_quality_normal']='Normale';
+$lang['cstat_quality_low']='Basse';
+$lang['cstat_quality_lowest']='Très basse';
 
 $lang['cstat_colors_on_image']='Couleurs associées à l\'image';
Index: /extensions/ColorStat/main.inc.php
===================================================================
--- /extensions/ColorStat/main.inc.php	(revision 6209)
+++ /extensions/ColorStat/main.inc.php	(revision 6210)
@@ -2,7 +2,7 @@
 /*
 Plugin Name: ColorStat
-Version: 0.1.0
+Version: 1.0.0
 Description: Allow to make stat on pictures colors
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=
+Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=393
 Author: grum@piwigo.org
 Author URI: http://photos.grum.fr
@@ -24,5 +24,5 @@
 | 0.1.0   | 2010/04/21 | start to coding
 |         |            |
-|         |            |
+| 1.0.0   | 2010/05/17 | first release for PEM
 |         |            |
 |         |            |
@@ -87,4 +87,5 @@
   //CStat public interface loaded and active only if in public page
   include_once("cstat_pip.class.inc.php");
+  CStat_functions::init($prefixeTable);
   $obj=new CStat_PIP($prefixeTable, __FILE__);
   set_plugin_data($plugin['id'], $obj);