Index: extensions/PWG_Stuffs/admin/add_module.php
===================================================================
--- extensions/PWG_Stuffs/admin/add_module.php	(revision 6229)
+++ extensions/PWG_Stuffs/admin/add_module.php	(revision 6230)
@@ -118,5 +118,5 @@
   $template->assign(array(
     'STUFFS_TITLE' => l10n('stuffs_add_mod'),
-    'MODULE_NAME' => l10n('module_name_' . $type),
+    'MODULE_NAME' => l10n('module_name_' . strtolower($type)),
     'show_title_CHECKED' => 'checked="checked"',
     'on_home_CHECKED' => 'checked="checked"'));
Index: extensions/PWG_Stuffs/admin/functions.inc.php
===================================================================
--- extensions/PWG_Stuffs/admin/functions.inc.php	(revision 6229)
+++ extensions/PWG_Stuffs/admin/functions.inc.php	(revision 6230)
@@ -9,6 +9,6 @@
             if (is_dir($path) and !is_link($path)) {
                 $modules[$file] = array('type' => $file,
-                    'name' => l10n('module_name_' . $file),
-                    'description' => l10n('module_desc_' . $file));
+                    'name' => l10n('module_name_' . strtolower($file)),
+                    'description' => l10n('module_desc_' . strtolower($file)));
             }
         }
Index: extensions/PWG_Stuffs/include/class.inc.php
===================================================================
--- extensions/PWG_Stuffs/include/class.inc.php	(revision 6229)
+++ extensions/PWG_Stuffs/include/class.inc.php	(revision 6230)
@@ -95,5 +95,5 @@
         $block['U_EDIT'] = PHPWG_ROOT_PATH.'admin.php?page=plugin&amp;section='.STUFFS_DIR.'%2Fadmin%2Fadd_module.php&amp;type='.$module['type'].'&amp;edit='.$module['id'];
       }
-      $block['TEMPLATE'] = 'stuffs_'.$module['type'].'.tpl';
+      $block['TEMPLATE'] = 'stuffs_'.strtolower($module['type']).'.tpl';
     	$this->set_tpl_block($block, $module);
     }
Index: extensions/PWG_Stuffs/modules/Logon/config.inc.php
===================================================================
--- extensions/PWG_Stuffs/modules/Logon/config.inc.php	(revision 6230)
+++ extensions/PWG_Stuffs/modules/Logon/config.inc.php	(revision 6230)
@@ -0,0 +1,23 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+unset($template->_tpldata['user_perm.'], $template->_tpldata['group_perm.']);
+$_POST['users'] = array('guest');
+
+if (!isset($datas)) $datas = array('0');
+
+// Enregistrement de la configuration
+if (isset($_POST['submit']) and !is_adviser()) {
+	if (!isset($_POST['remove_menubar_block'])) $_POST['remove_menubar_block']  = '0';
+    $datas = array($_POST['remove_menubar_block']);
+}
+
+// Parametrage du template
+if ($datas[0] == '1') $template->assign(array('REMOVE_MENUBAR_BLOCK' => 'checked="checked"'));
+
+
+$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
+$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');
+
+?>
Index: extensions/PWG_Stuffs/modules/Logon/config.tpl
===================================================================
--- extensions/PWG_Stuffs/modules/Logon/config.tpl	(revision 6230)
+++ extensions/PWG_Stuffs/modules/Logon/config.tpl	(revision 6230)
@@ -0,0 +1,1 @@
+<p><input type="checkbox" name="remove_menubar_block" value="1" {$REMOVE_MENUBAR_BLOCK}/> &nbsp; {'logon_remove_menubar_block'|@translate}</p><br>
Index: extensions/PWG_Stuffs/modules/Logon/index.php
===================================================================
--- extensions/PWG_Stuffs/modules/Logon/index.php	(revision 6230)
+++ extensions/PWG_Stuffs/modules/Logon/index.php	(revision 6230)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/PWG_Stuffs/modules/Logon/main.inc.php
===================================================================
--- extensions/PWG_Stuffs/modules/Logon/main.inc.php	(revision 6230)
+++ extensions/PWG_Stuffs/modules/Logon/main.inc.php	(revision 6230)
@@ -0,0 +1,32 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+if (!is_a_guest()) return false;
+
+global $conf;
+
+// template initialization
+$block = array_merge($block, 
+  array(
+    'U_LOST_PASSWORD' => get_root_url().'password.php',
+    'F_LOGIN_ACTION' => get_root_url().'identification.php',
+    'authorize_remembering' => $conf['authorize_remembering'],
+    ));
+
+if ($conf['allow_user_registration'])
+{
+  $block['U_REGISTER'] = get_root_url().'register.php';
+}
+
+// Retirer le bloc identification rapide du menubar
+if ($datas[0] == '1')
+{
+  add_event_handler('blockmanager_apply', 'stuffs_hide_identification');
+  function stuffs_hide_identification($menu_ref_arr)
+  {
+    $menu = & $menu_ref_arr[0];
+    $menu->hide_block('mbIdentification');
+  }
+}
+
+?>